with Input_Windows, Output_Windows;
use Input_Windows, Output_Windows;

package body Alumnos is

   -------------
   -- Escribe --
   -------------

   procedure Escribe (Alu : in Alumno) is
      Salida : Output_Window_Type;
   begin
      Salida:=Output_Window("Datos alumno");
      Create_Box(Salida, "Nombre", Alu.Nombre(1..Alu.N_Nombre));
      Create_Box(Salida,"Telefono",Alu.Telefono);
      Create_Box(Salida,"Escuela",
                 Tipo_Escuela'Image(Alu.Escuela));
      Wait(Salida);
   end Escribe;

   ---------
   -- Lee --
   ---------

   procedure Lee (Alu : out Alumno) is
      Entrada : Input_Window_Type;
      Escuela : String(1..12);
      N_Escuela,N_Tel : Integer;
   begin
      Entrada:=Input_Window("Datos de un Alumno");
      Create_Entry(Entrada,"Nombre del alumno","");
      Create_Entry(Entrada,"Numero de Telefono (9 cifras)",
                   "942------");
      Create_Entry(Entrada,"Escuela","Teleco");
      Wait(Entrada,"Introduce datos");
      Get_Line(Entrada, "Nombre del alumno",
               Alu.Nombre,Alu.N_Nombre);
      Alu.Telefono:="         ";
      Get_Line(Entrada, "Numero de Telefono (9 cifras)",
               Alu.Telefono,N_Tel);
      Get_Line(Entrada, "Escuela", Escuela, N_Escuela);
      Alu.Escuela:=Tipo_Escuela'Value(Escuela(1..N_Escuela));
   end Lee;

   function Nombre (Alu : in Alumno) return String is
   begin
      return Alu.Nombre(1..Alu.N_Nombre);
   end Nombre;

end Alumnos;

